Summary: GTK+ DocBook Documentation Generator
Name: gtk-doc

%global momorel 2

Version: 1.2
Release: %{momorel}m
Group: Applications/Text
License: GPL
URL: http://www.gtk.org/rdp/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.2/%{name}-%{version}.tar.bz2 7776ad690ca6baaaf071c83b51d2a234

#Patch0: gtk-doc-1.0-sgmldecl.patch
Patch1: gtk-doc-1.2-sgmldecl.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: docbook-dtds >= 4.2
BuildPrereq: docbook-style-dsssl
BuildPrereq: docbook-style-xsl
BuildPrereq: libxslt >= 1.1.5
BuildPrereq: openjade
BuildPrereq: xml-common

Prereq: docbook-style-dsssl
Prereq: docbook-style-xsl
Prereq: libxslt >= 1.1.5
Prereq: xml-common

%description
gtk-doc is a set of perl scripts that generate API reference documention in
DocBook format.  It can extract documentation from source code comments in a
manner similar to java-doc.  It is used to generate the documentation for
GLib, Gtk+, and GNOME.

%prep
%setup -q
#%patch -p1 -b .sgmldecl
%patch1 -p1 -b .sgmldecl
mv doc/README doc/README.docs

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir %{buildroot}%{_datadir}/gtk-doc/html

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README doc/* examples
%{_bindir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc
%{_datadir}/aclocal/*.m4
%{_datadir}/sgml

%changelog
* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2-2m)
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2-1m)
- version 1.2
- exchanges from Patch0 to Patch1
- GNOME 2.6 Desktop

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-7m)
- add BuildPrereq: docbook-dtds (sorry for several commit...)

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-6m)
- add BuildPrereq: libxslt

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-5m)
- add BuildPrereq: openjade

* Tue Jul 22 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-4m)
- add BuildPrereq: xml-common and add Prereq: xml-common

* Mon Jun 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1-3m)
- fix file list

* Fri May 23 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-2m)
- add BuildPrereq: docbook-dtds,docbook-style-xsl

* Fri Apr 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1-1m)
- version 1.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0-1m)
- version 1.0

* Wed Nov 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10-1m)
- version 0.10

* Thu Feb 07 2002 Shingo Akagaki <dora@kondara.org>
- (0.9-2k)
- version 0.9

* Fri Feb  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.7-8k)
- rebuild against for openjade-1.3.1

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.7-6k)
- s/Copyright/License/

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.7-4k)
- nigittenu

* Wed Sep 26 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.7-3k)
- k

* Fri Apr 27 2001 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Merge in some of the features of the redhat spec file.

* Wed Nov 15 2000 John Gotts <jgotts@linuxsavvy.com>
- Minor updates for 0.4.
* Thu Aug 26 1999 John E. Gotts <jgotts@engin.umich.edu>
- Created spec file.
